This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 163320 - grub may have installed itself in an unwanted place when upgrading fc3->fc4 via yum
grub may have installed itself in an unwanted place when upgrading fc3->fc4 v...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-14 21:51 EDT by Matt Matolcsi
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-21 00:28:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matt Matolcsi 2005-07-14 21:51:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050514 Fedora/1.0.4-0.fdr.1.2 Firefox/1.0.4

Description of problem:
While upgrading from FC3->FC4 via yum, something happened that made an LVM2 volume inaccessible. The LVM2 volume used an entire disk (/dev/sda) and was functioning correctly before the upgrade, even though there was a partition table written onto it. It's uncertain whether or not grub was also installed onto /dev/sda before the upgrade, but after the upgrade, there was a GRUB string in the first 512 bytes of the drive, so I assume that it was definitely installed afterwards. Zeroing-out the first 512 bytes of the drive made it again accessible to the LVM2 tools. 

My suspicion is that grub was upgraded during the install and chose what it thought was the correct drive to install itself to, even though it wasn't. (The boot loaders reside on /dev/sdb and /dev/sdc.) I'm posting this as a bug because there is a potential loss of data here if people aren't aware of this possibility. 

We had a stock FC3 installation, later converted to RAID1 /, /boot, and swap using a 'remote root conversion how-to' done by someone at RedHat. The conversion was successful, using /dev/sdb and /dev/sdc. /dev/sda is for some reason detected first by the kernel, even though it's not what the BIOS boots off of. 

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. Upgrade FC3->FC4 via yum. 
2.
3.
  

Actual Results:  An LVM2 volume became unreadable by the LVM2 tools. 

Expected Results:  Probably grub shouldn't have installed itself onto the first drive it thought. 

Additional info:
Comment 1 Christian Iseli 2007-01-19 19:13:07 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Matt Matolcsi 2007-01-21 00:28:55 EST
I have no way to test this as we have moved to a RHEL white box version.
Although I think the bug is unlikely to affect the majority of people, I hope it
has been fixed. 

Note You need to log in before you can comment on or make changes to this bug.